using System;
namespace System.Model
{
	/// <summary>
	/// 订单售后表
	/// </summary>
	[Serializable]
	public partial class T_Bus_AfterSale
	{
		public T_Bus_AfterSale()
		{ }
		#region Model
		private string _f_id;
		private string _f_orderid;
		private DateTime _f_addtime;
		private int _f_type = 0;
		private int _f_checkstatexs = 0;
		private DateTime? _f_checktimexs;
		private int _f_checkuserxs = 0;
		private string _f_checkusernamexs = "";
		private int _f_checkstatesh = 0;
		private DateTime? _f_checktimesh;
		private int _f_checkusersh = 0;
		private string _f_checkusernamesh = "";
		private string _f_detaillist = "";
		private string _f_olddetaillist = "";
		private string _f_trackingno = "";
		private string _f_trackdes = "";
		private decimal _f_money = 0M;
		private int _f_state = 0;
		private int _f_checkstatekg;
		private DateTime? _f_checktimekg;
		private int _f_checkuserkg = 0;
		private string _f_checkusernamekg = "";
		private string _f_remark = "";
		private string _f_aboutorderid = "";
		private string _f_returntype = "";
		private string _f_returndes = "";
		private string _f_productstatus = "";
		private string _f_tag = "";
		private int _f_aboutuserid = 0;
		private string _f_aboutname = "";
		private string _f_customer = "";
		private string _f_customerphone = "";
		private int _f_vipid = 0;
		/// <summary>
		/// 售后编号
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 订单ID
		/// </summary>
		public string F_OrderId
		{
			set { _f_orderid = value; }
			get { return _f_orderid; }
		}
		/// <summary>
		/// 添加时间
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 售后状态 1调换货 2退货 3部分退货 4对发货 5补发货 6补差额
		/// </summary>
		public int F_Type
		{
			set { _f_type = value; }
			get { return _f_type; }
		}
		/// <summary>
		/// 0未审核1审核通过2审核不通过
		/// </summary>
		public int F_CheckStateXS
		{
			set { _f_checkstatexs = value; }
			get { return _f_checkstatexs; }
		}
		/// <summary>
		/// 销售审核完成时间
		/// </summary>
		public DateTime? F_CheckTimeXS
		{
			set { _f_checktimexs = value; }
			get { return _f_checktimexs; }
		}
		/// <summary>
		/// 销售操作人
		/// </summary>
		public int F_CheckUserXS
		{
			set { _f_checkuserxs = value; }
			get { return _f_checkuserxs; }
		}
		/// <summary>
		/// 销售姓名
		/// </summary>
		public string F_CheckUserNameXS
		{
			set { _f_checkusernamexs = value; }
			get { return _f_checkusernamexs; }
		}
		/// <summary>
		/// 售后审核状态 0保存 1提交（审核通过）2审核不通过（没有使用）
		/// </summary>
		public int F_CheckStateSH
		{
			set { _f_checkstatesh = value; }
			get { return _f_checkstatesh; }
		}
		/// <summary>
		/// 售后审核完成时间
		/// </summary>
		public DateTime? F_CheckTimeSH
		{
			set { _f_checktimesh = value; }
			get { return _f_checktimesh; }
		}
		/// <summary>
		/// 售后操作人
		/// </summary>
		public int F_CheckUserSH
		{
			set { _f_checkusersh = value; }
			get { return _f_checkusersh; }
		}
		/// <summary>
		/// 售后姓名
		/// </summary>
		public string F_CheckUserNameSH
		{
			set { _f_checkusernamesh = value; }
			get { return _f_checkusernamesh; }
		}
		/// <summary>
		/// 补发调换产品列表
		/// </summary>
		public string F_DetailList
		{
			set { _f_detaillist = value; }
			get { return _f_detaillist; }
		}
		/// <summary>
		/// 客户需要退回商品
		/// </summary>
		public string F_OldDetailList
		{
			set { _f_olddetaillist = value; }
			get { return _f_olddetaillist; }
		}
		/// <summary>
		/// 运单号
		/// </summary>
		public string F_TrackingNo
		{
			set { _f_trackingno = value; }
			get { return _f_trackingno; }
		}
		/// <summary>
		/// 运单跟踪
		/// </summary>
		public string F_TrackDes
		{
			set { _f_trackdes = value; }
			get { return _f_trackdes; }
		}
		/// <summary>
		/// 需要变动金额 正用户需要补交金额  负 需要退给用户金额
		/// </summary>
		public decimal F_Money
		{
			set { _f_money = value; }
			get { return _f_money; }
		}
		/// <summary>
		/// 售后状态-1无效0未完成1已完成  主要涉及财务退款（新订单生成）操作
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 0未审核1到货2货物不符3未收到货
		/// </summary>
		public int F_CheckStateKG
		{
			set { _f_checkstatekg = value; }
			get { return _f_checkstatekg; }
		}
		/// <summary>
		/// 库管审核1收到货（根据状态自动创建订单）2货物不符3未收到货
		/// </summary>
		public DateTime? F_CheckTimeKG
		{
			set { _f_checktimekg = value; }
			get { return _f_checktimekg; }
		}
		/// <summary>
		/// 库管操作人
		/// </summary>
		public int F_CheckUserKG
		{
			set { _f_checkuserkg = value; }
			get { return _f_checkuserkg; }
		}
		/// <summary>
		/// 库管姓名
		/// </summary>
		public string F_CheckUserNameKG
		{
			set { _f_checkusernamekg = value; }
			get { return _f_checkusernamekg; }
		}
		/// <summary>
		/// 所有人备注信息综合累加
		/// </summary>
		public string F_Remark
		{
			set { _f_remark = value; }
			get { return _f_remark; }
		}
		/// <summary>
		/// 售后发出关联订单
		/// </summary>
		public string F_AboutOrderId
		{
			set { _f_aboutorderid = value; }
			get { return _f_aboutorderid; }
		}
		/// <summary>
		/// 售后原因类型1产品问题2销售错发3销售漏发4仓库错发5仓库漏发6销售承诺不一致7特殊办理
		/// </summary>
		public string F_ReturnType
		{
			set { _f_returntype = value; }
			get { return _f_returntype; }
		}
		/// <summary>
		/// 退回原因
		/// </summary>
		public string F_ReturnDes
		{
			set { _f_returndes = value; }
			get { return _f_returndes; }
		}
		/// <summary>
		/// 退回商品状态 严磨  正常    磨损    鞋码不一  一顺   包装不一致
		/// </summary>
		public string F_ProductStatus
		{
			set { _f_productstatus = value; }
			get { return _f_productstatus; }
		}
		/// <summary>
		/// 售后标签
		/// </summary>
		public string F_Tag
		{
			set { _f_tag = value; }
			get { return _f_tag; }
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_AboutUserId
		{
			set { _f_aboutuserid = value; }
			get { return _f_aboutuserid; }
		}
		/// <summary>
		/// 相关人姓名
		/// </summary>
		public string F_AboutName
		{
			set { _f_aboutname = value; }
			get { return _f_aboutname; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Customer
		{
			set { _f_customer = value; }
			get { return _f_customer; }
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CustomerPhone
		{
			set { _f_customerphone = value; }
			get { return _f_customerphone; }
		}
		/// <summary>
		/// 
		/// </summary>
		public int F_VipId
		{
			set { _f_vipid = value; }
			get { return _f_vipid; }
		}
		#endregion Model

	}
}

